Retrieves detailed information about a specific questionnaire including its questions, answers, and associated clients.
curl --request GET \
--url https://api.example.com/questionnaires/{id}import requests
url = "https://api.example.com/questionnaires/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/questionnaires/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/questionnaires/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/questionnaires/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/questionnaires/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/questionnaires/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"description": "<string>",
"firstMessage": "<string>",
"retryIntervalDays": 123,
"maxTries": 123,
"intervalBackOffMultiplier": 123,
"repeatIntervalDays": 123,
"createdAt": "2023-11-07T05:31:56Z",
"questions": [
{
"id": 123,
"questionnaireId": 123,
"position": 123,
"type": "<string>",
"prompt": "<string>",
"metadata": "<string>"
}
],
"answers": [
{
"questionId": 123,
"questionnaireCallId": 123,
"prompt": "<string>",
"type": "<string>",
"metadata": "<string>",
"answerText": "<string>",
"answeredAt": "2023-11-07T05:31:56Z"
}
],
"clients": [
{
"id": 123,
"clientId": 123,
"questionnaireId": 123,
"phoneCallId": 123,
"createdAt": "2023-11-07T05:31:56Z",
"nextTryAt": "2023-11-07T05:31:56Z"
}
]
}Questionnaire
Retrieves detailed information about a specific questionnaire including its questions, answers, and associated clients.
GET
/
questionnaires
/
{id}
Retrieves detailed information about a specific questionnaire including its questions, answers, and associated clients.
curl --request GET \
--url https://api.example.com/questionnaires/{id}import requests
url = "https://api.example.com/questionnaires/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/questionnaires/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/questionnaires/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/questionnaires/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/questionnaires/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/questionnaires/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"description": "<string>",
"firstMessage": "<string>",
"retryIntervalDays": 123,
"maxTries": 123,
"intervalBackOffMultiplier": 123,
"repeatIntervalDays": 123,
"createdAt": "2023-11-07T05:31:56Z",
"questions": [
{
"id": 123,
"questionnaireId": 123,
"position": 123,
"type": "<string>",
"prompt": "<string>",
"metadata": "<string>"
}
],
"answers": [
{
"questionId": 123,
"questionnaireCallId": 123,
"prompt": "<string>",
"type": "<string>",
"metadata": "<string>",
"answerText": "<string>",
"answeredAt": "2023-11-07T05:31:56Z"
}
],
"clients": [
{
"id": 123,
"clientId": 123,
"questionnaireId": 123,
"phoneCallId": 123,
"createdAt": "2023-11-07T05:31:56Z",
"nextTryAt": "2023-11-07T05:31:56Z"
}
]
}Path Parameters
The unique identifier of the questionnaire.
Response
Successfully retrieved the questionnaire details.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes